> ## Documentation Index
> Fetch the complete documentation index at: https://agentstack.beeai.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Items



## OpenAPI

````yaml /development/api-reference/openapi.json put /api/v1/vector_stores/{vector_store_id}
openapi: 3.1.0
info:
  title: Agentstack server
  version: 0.6.3
servers: []
security: []
paths:
  /api/v1/vector_stores/{vector_store_id}:
    put:
      tags:
        - vector_stores
      summary: Add Items
      operationId: add_items_api_v1_vector_stores__vector_store_id__put
      parameters:
        - name: vector_store_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Vector Store Id
        - name: context_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Context Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/VectorStoreItem'
              title: Items
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    VectorStoreItem:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        document_id:
          type: string
          title: Document Id
        document_type:
          $ref: '#/components/schemas/DocumentType'
          default: platform_file
        model_id:
          anyOf:
            - type: string
            - type: string
              const: platform
          title: Model Id
          default: platform
        text:
          type: string
          title: Text
        embedding:
          items:
            type: number
          type: array
          title: Embedding
        metadata:
          anyOf:
            - additionalProperties:
                type: string
              type: object
              description: >

                Set of 16 key-value pairs that can be attached to an object.
                This can be useful for storing additional

                information about the object in a structured format, and
                querying for objects via API or the dashboard.


                Keys are strings with a maximum length of 64 characters. Values
                are strings with a maximum length of

                512 characters.
            - type: 'null'
          title: Metadata
      type: object
      required:
        - document_id
        - text
        - embedding
      title: VectorStoreItem
      description: >-
        A single item in a vector store, containing text content and its vector
        embedding.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DocumentType:
      type: string
      enum:
        - platform_file
        - external
      title: DocumentType
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBasic:
      type: http
      scheme: basic
    HTTPBearer:
      type: http
      scheme: bearer

````